Bug 138347 - Second monitor not turned on after reboot in dual-head config
Second monitor not turned on after reboot in dual-head config
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 09:35 EST by Mark T. Voelker
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-12 03:00:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My /etc/X11/XF86Config file for dual heads on a Matrox G550. (3.89 KB, text/plain)
2004-11-08 09:36 EST, Mark T. Voelker
no flags Details
/var/log/XFree86.0.log after bootup (second monitor not on) (49.75 KB, text/plain)
2004-11-08 09:52 EST, Mark T. Voelker
no flags Details
/var/log/XFree86.log after running redhat-config-xfree86, killing it, restoring config, and restarting X again. (49.80 KB, text/plain)
2004-11-08 09:54 EST, Mark T. Voelker
no flags Details

  None (edit)
Description Mark T. Voelker 2004-11-08 09:35:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001
Firefox/0.10.1

Description of problem:
I use a Matrox G550 AGP card and two Sony E500 monitors in a dual-head
configuration for extra screen real estate for XFree86.  The
configuration worked fine after I edited my XF86Config file, but when
I rebooted the box, the second monitor failed to turn on (it remained
in power save mode).  In my case the second monitor is the one
connected to the DVI port on the card.  This happens every time I
reboot the box without fail.  The only workaround I know of is to stop
X (telinit 3), remove the XF86Config file (mv /etc/X11/XF86Config
/tmp), run redhat-config-xfree86, which turns on the second monitor in
mirror mode, kill redhat-config-xfree86, restore the XF86Config file
(mv /tmp/XF86Config /etc/X11/), and restart X (telinit 5).  

Version-Release number of selected component (if applicable):
XFree86-4.3.0-62

How reproducible:
Always

Steps to Reproduce:
1.Reboot.
2.If you don't have X configured to start on bootup, go to runlevel 5
(telinit 5) or simply start X (startx).
    

Actual Results:  Second monitor remains in power save/no signal mode.

Expected Results:  Second monitor should power up and show second half
of the desktop.

Additional info:
Comment 1 Mark T. Voelker 2004-11-08 09:36:58 EST
Created attachment 106281 [details]
My /etc/X11/XF86Config file for dual heads on a Matrox G550.
Comment 2 Mark T. Voelker 2004-11-08 09:39:11 EST
Sounds similar to Bug 126820, though of course Fedora is using x.org
instead of XFree86.
Comment 3 Mark T. Voelker 2004-11-08 09:52:34 EST
Created attachment 106282 [details]
/var/log/XFree86.0.log after bootup (second monitor not on)
Comment 4 Mark T. Voelker 2004-11-08 09:54:42 EST
Created attachment 106283 [details]
/var/log/XFree86.log after running redhat-config-xfree86, killing it, restoring config, and restarting X again.
Comment 7 Mike A. Harris 2005-05-12 02:57:27 EDT
The open source "mga" driver does not work properly with DVI hardware
as the support is experimental only, and was never completed in XFree86
or X.org.  Matrox started shipping their drivers proprietary after this,
and has never contributed fixes for DVI back to the X projects.  As such,
DVI panels are basically unsupported on mga hardware at this point.

The "mga" manpage has links to Matrox's website, where you can download
Matrox's proprietary driver and hallib module which some people have
reported good results.  While Red Hat does not support 3rd party drivers,
you may find they work for your hardware better than the open source
one supplied with the OS.  Hopefully this unsupported workaround will
be a useable solution.  Alternatively, you might try replacing the
card with a card that has better open source driver support.  While I
can't recommend a specific card, you might be able to find suggestions
on one of the XFree86 or X.Org mailing lists.  Alternatively you can
contact Red Hat Global Support Services at http://www.redhat.com/support
or at 1-888-RED-HAT1 which is our official support mechanism for
Red Hat Enterprise Linux.  Hope this helps.

Setting status to "WONTFIX", as unfortunately, Matrox has not supplied
hardware documentation for the G550 hardware to open source developers,
so DVI will probably never be supported in the open source 'mga'
driver included with XFree86 (in RHEL3) and X.Org X11 (in RHEL4).


Note You need to log in before you can comment on or make changes to this bug.